PTHREAD_COND_INIT(3)

NAME
pthread_cond_init - create a condition variable

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_cond_init(pthread_cond_t *cond, const pthread_condattr_t *attr);

DESCRIPTION
The pthread_cond_init() function creates a new condition variable, with attributes specified with attr. If attr is NULL the default attributes are used.

RETURN VALUES
If successful, the pthread_cond_init() function will return zero and put the new condition variable id into cond, otherwise an error number will be returned to indicate the error.

ERRORS
The pthread_cond_init() function will fail if:

[EINVAL]
    The value specified by attr is invalid.

[ENOMEM]
    The process cannot allocate enough memory to create another condition variable.

[EAGAIN]
    The system temporarily lacks the resources to create another condition variable.

SEE ALSO
pthread_cond_broadcast(3), pthread_cond_destroy(3), pthread_cond_signal(3), pthread_cond_timedwait(3), pthread_cond_wait(3), pthread_condattr(3)

STANDARDS
The pthread_cond_init() function conforms to p1003.1-96.